<?php
/**
 * GurmeCargo için firmaların niteliklerini taşıyan GCARGO_Data_Handler sınıfını barındıran dosya.
 *
 * @package GurmeHub
 */

/**
 * GCARGO_Data_Handler sınıfı
 */
class GCARGO_Data_Handler {

	/**
	 * Varsayılan window dataları
	 *
	 * @return array
	 */
	public function default_localize_data() {
		return array(
			'prefix'     => GCARGO_PREFIX,
			'assets_url' => GCARGO_ASSETS_DIR_URL,
			'version'    => GCARGO_VERSION,
			'home_url'   => home_url(),
			'admin_url'  => admin_url(),
			'ajaxurl'    => add_query_arg(
				array(
					'_wpnonce' => wp_create_nonce( GCARGO_AJAX_ACTION ),
				),
				admin_url( 'admin-ajax.php' )
			),
			'strings'    => array( 'en' => include GCARGO_PLUGIN_DIR_PATH . '/languages/gcargo-settings-texts.php' ),
		);
	}
}
